GNU bug report logs - #52292
29.0.50; when ~/.emacs.d is a relative symlink to ~/foo/bar, (setq find-file-visit-truename t) causes package-install to generate incorrect autoloads

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Faerryn <alexandre.liao@HIDDEN>; merged with #52413; dated Sun, 5 Dec 2021 04:43:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 52292 52413. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52292 <at> debbugs.gnu.org:


Received: (at 52292) by debbugs.gnu.org; 10 Dec 2021 00:35:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 09 19:35:54 2021
Received: from localhost ([127.0.0.1]:45048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mvTtC-0007FE-GW
	for submit <at> debbugs.gnu.org; Thu, 09 Dec 2021 19:35:54 -0500
Received: from quimby.gnus.org ([95.216.78.240]:49716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mvTt9-0007Ez-VX
 for 52292 <at> debbugs.gnu.org; Thu, 09 Dec 2021 19:35:52 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=sMR7TInB8HJvMaqbYLm+dAWq3X5DyI9ddIjrbqp+PLk=; b=KO1XN/RC2IXC8PhzwrEtNBn+Fh
 mbuaVCqvnBupeWn6695T7mWpBnyd2zrlHnUPBTAMKsG+B79/v9ryWhwSR0Zd3LculyqTdUIXw1SWI
 PbovJnqqaaFBaagUFzyxmoxENGK48DKEFMku89RcEGY49Uc43hRnDoMVAeQcLWLeHA78=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mvTsx-0006UQ-9C; Fri, 10 Dec 2021 01:35:42 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jiacai Liu <hello@HIDDEN>
Subject: Re: autoloads load file is wrong in Emacs 28 when using symlink
References: <m1zgqhbgnb.fsf@HIDDEN> <m1ilvzdxqt.fsf@HIDDEN>
 <871r2m4lxf.fsf@HIDDEN> <m1sfv2lcms.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEWZb3hlVl+/qKtM
 MzwkFhn///8fEXZMAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+UMCgAPBKDl9SIAAAGuSURBVDjLrZNr
 kuMgDIQFzgHAcABZcwF7xAHioPufaVt+TZLZ/NiqVVXi4I9u9CBEiJDfIwnlv8ZnQB9A/n8ghRMU
 Xfz7NzDrWYHzsq/jAUpXAMQpOUFTtUX3eAFmzdYD7Ganwsw0/wYwsl7nopqmw+wArjBFziIDNMuT
 ogOoAy5a+gl869AbcosuaesFZhGpXWfCMyDzC3zjxa37fjxRa3AQxgHWwrUvlCmGpiNkhCkKuxPF
 MrMStU0IACwZnyhfD8k0oAczxwO4WCSNQqGarcJUNqvB/HC4ETIygxM80Uip9mAkylm4devYMnVC
 cWrtQRTlhhzqUtatJsqKwuwuLPE2EpUYvchqAMiv2SgcCzEl8SLZHBisXBINCn9LVHvZASLV2b7j
 4Af7zVDS7bUH8lFLUUr11RPYYuWhhR1s63bJJm15A836UhJdhMr+E81Eh4TqCcbp2NDu3iPM8wD3
 Q0vb1Igj22uQd4aZ4vQOfHgSpiM7v0VPgGlIGB1ull1VUfJBoKkbeLbSu58ReHg/A32VIH54by+g
 dcwT1+LrXdFswX8m/JR+WX2Ifwd/ABSkr20AjVmfAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTEy
 LTEwVDAwOjE1OjA0KzAwOjAwXinEUQAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0xMi0xMFQwMDox
 NTowNCswMDowMC90fO0AAAAASUVORK5CYII=
X-Now-Playing: New Order's _Power, Corruption & Lies_: "Your Silent Face"
Date: Fri, 10 Dec 2021 01:35:38 +0100
In-Reply-To: <m1sfv2lcms.fsf@HIDDEN>+05980087C5FE0F5F (Jiacai Liu's
 message of "Thu, 09 Dec 2021 10:41:01 +0800")
Message-ID: <877dcd2t5x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Jiacai Liu <hello@HIDDEN> writes: >> Can you report
 the problem with `M-x report-emacs-bug' > > After some search, I found someone
 else already did this. > -
 https://lists.gnu.org/r/bug-gnu-emacs/2021-12/msg00376.html
 > > If it helps, [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52292
Cc: 52292 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jiacai Liu <hello@HIDDEN> writes:

>> Can you report the problem with `M-x report-emacs-bug'
>
> After some search, I found someone else already did this.
> - https://lists.gnu.org/r/bug-gnu-emacs/2021-12/msg00376.html
>
> If it helps, below is the step I use to reproduce this issue:
>
> 1. mkdir an empty dir, and soft link to emacs config dir
> `mkdir /tmp/emacs-conf && ln -s /tmp/emacs-conf $HOME/.emacs.d`
> 2. (setq find-file-visit-truename t)
> 3. package-install undo-tree
>
> Then open generated autoloads file for undo-tree under
> $HOME/.emacs.d/undo-tree-${version}/undo-tree-autoloads.el,
> the content is something like
>
> (autoload 'undo-tree-mode
> "../../../../../Users/${username}/.emacs.d/elpa/undo-tree-0.7.5/undo-tree"
> "long docsting" t nil)
>
> In Emacs 27, the content is
> (autoload 'undo-tree-mode "undo-tree" "long docsting" t nil)

(Re-sent to land in the bug tracker.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52292; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Dec 2021 04:42:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 04 23:42:15 2021
Received: from localhost ([127.0.0.1]:55998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtjLp-0003da-Jp
	for submit <at> debbugs.gnu.org; Sat, 04 Dec 2021 23:42:15 -0500
Received: from lists.gnu.org ([209.51.188.17]:46090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alexandre.liao@HIDDEN>) id 1mthPr-00028V-2K
 for submit <at> debbugs.gnu.org; Sat, 04 Dec 2021 21:38:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44508)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <alexandre.liao@HIDDEN>)
 id 1mthPq-0003kf-Ip
 for bug-gnu-emacs@HIDDEN; Sat, 04 Dec 2021 21:38:14 -0500
Received: from [2a00:1450:4864:20::52d] (port=40499
 helo=mail-ed1-x52d.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <alexandre.liao@HIDDEN>)
 id 1mthPo-0005wo-8Q
 for bug-gnu-emacs@HIDDEN; Sat, 04 Dec 2021 21:38:14 -0500
Received: by mail-ed1-x52d.google.com with SMTP id r25so27881612edq.7
 for <bug-gnu-emacs@HIDDEN>; Sat, 04 Dec 2021 18:38:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=muVgPKqP2ahfMAu37bLioLldxq/4nL2X7IgBRwHZsQI=;
 b=ggiHkXw5XbjeQR/xyySghCTpfmB23hylGR4Yw8HI5COKknKGHP6bNFau+LknRyWCB6
 mX3FI4QmH21IvHxgbmqZH2OJGStYMF+secXZE7CyXki1cVAhBQCeywHtKeSoApqg1liY
 rLU9wYl0jIcv9Ct/HEgDDMEGHxL4u0EIDoRjrzfHKQcllI0oQYbr7rIA6dEV/tiCJmMs
 7MreGN0qOmRfPs7XTCrwMRQoWgmpx7bn7C331aqRClP9iW4wPMuCVG0bB+Ast99e02I6
 3hxUT4KaWJ2JoVcgmyeW47LI/VCPd9lXOo3diWOMl2rWN/a0sQ3sdvSFdVMFpW2oq303
 49fA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=muVgPKqP2ahfMAu37bLioLldxq/4nL2X7IgBRwHZsQI=;
 b=Kd/sX3hFfB7gY9fwoGua03ThmhLrgUmuGMGOqUeegwiqtn+2cL0Er6oXkDbIYdPi+O
 4ygZLZV1djl7gBZT0s+KoIx8AVC0HrNKNcGVZr6WE89e4cPVWtFnGniZkeImGEzKCxpD
 7uRuUcYoopdxaZZWyNL71JJU15o1Eizk96GYeVB1ukHLTl5LV5SLHxfGQkZDuK2CIQl9
 hEY+cF+2Wvthp5wIgzddfZKbR0wOuyTduTigdHYJKxb/4h32StYyYuzLyQn1IG4wDgGc
 RnZG32OWP0KeIOfoqGC2YjO/wZp8k+ubhE5hWZy6ZpYFagqy4jv+A0XSGG9LUmrKJzaK
 JwAg==
X-Gm-Message-State: AOAM530wpX+9GoDh2QkU8xkhhu0mswacOiytbl1iUh+7xuP2zDcRIg4p
 G7Op/PaMEk5keVaGpQK7IMgez7/4dmUoFlIukvLPbB7lwNi5Kg==
X-Google-Smtp-Source: ABdhPJy3eHlWjx/kVINi+ufgqEdceeNTsDfyGpZERhXcAL8rKBx7QndX6yJYmQoqcEkZeFtvj//KENDdvhY71OWIGMI=
X-Received: by 2002:a17:906:2c47:: with SMTP id
 f7mr35177444ejh.94.1638671889472; 
 Sat, 04 Dec 2021 18:38:09 -0800 (PST)
MIME-Version: 1.0
From: Faerryn <alexandre.liao@HIDDEN>
Date: Sat, 4 Dec 2021 20:37:33 -0600
Message-ID: <CAFLxq_d1Sa_avo32XZUPH8-WsceHUXGguSV=HQJd03gzO7SpmA@HIDDEN>
Subject: 29.0.50; when ~/.emacs.d is a relative symlink to ~/foo/bar, (setq
 find-file-visit-truename t) causes package-install to generate incorrect
 autoloads
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000e0219105d25d0766"
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a00:1450:4864:20::52d
 (failed)
Received-SPF: pass client-ip=2a00:1450:4864:20::52d;
 envelope-from=alexandre.liao@HIDDEN; helo=mail-ed1-x52d.google.com
X-Spam_score_int: -12
X-Spam_score: -1.3
X-Spam_bar: -
X-Spam_report: (-1.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, PDS_HP_HELO_NORDNS=0.001, RCVD_IN_DNSWL_NONE=-0.0001,
 RDNS_NONE=0.793, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 04 Dec 2021 23:42:13 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000e0219105d25d0766
Content-Type: text/plain; charset="UTF-8"

In an empty HOME directory, run the following shell commands:

mkdir -p ~/foo/bar
ln -srf ~/foo/bar ~/.emacs.d
emacs -Q

In emacs, type the following elisp in the scratch buffer:

(progn
  (setq find-file-visit-truename t)
  (package-install 'vertico))

Then type 'C-x C-e' to evaluate.  Once Emacs is done evaluating, type
'C-x C-c' to quit from emacs.

In the shell, run 'emacs -Q' again.  Then type the following elisp in
the scratch buffer:

(package-initialize)

And type 'C-x C-e' to evaluate.  Then type 'M-x' and 'vertico-mode' in
the prompt.  Emacs will complain that it could not open the load file
for vertico.

Currently I use this snippet to patch the issue up:

(defun faerryn-patch-package-find-file-visit-truename (oldfun &rest r)
  (let ((find-file-visit-truename nil))
    (apply oldfun r)))
(advice-add #'package-install :around
            #'faerryn-patch-package-find-file-visit-truename)


In GNU Emacs 29.0.50 (build 9, x86_64-pc-linux-gnu, X toolkit, cairo
version 1.17.4, Xaw3d scroll bars)
 of 2021-12-04 built on FaerrynLaptop
Repository revision: f14a4c377dfa6602e9e159c806656137854a667b
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101001
System Description: Arch Linux

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --mandir=/usr/share/man --with-gameuser=:games
 --with-sound=alsa --with-modules --without-gconf --without-gsettings
 --with-native-compilation --with-x-toolkit=lucid --with-xft
 --with-xaw3d --without-compress-install
 '--program-transform-name=s/\([ec]tags\)/\1.emacs/'
 'CFLAGS=-march=native -O2 -pipe -fno-plt -fexceptions
 -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security
 -fstack-clash-protection -fcf-protection'
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM HARFBUZZ JPEG JSON LCMS2
LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NATIVE_COMP NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS WEBP X11
XAW3D XDBE XIM XPM LUCID ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: EXWM

Minor modes in effect:
  global-git-commit-mode: t
  shell-dirtrack-mode: t
  display-time-mode: t
  display-battery-mode: t
  global-auto-revert-mode: t
  electric-pair-mode: t
  global-display-line-numbers-mode: t
  display-line-numbers-mode: t
  gcmh-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  tab-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/faerryn/.emacs.d/elpa/transient-0.3.7/transient hides
/usr/share/emacs/29.0.50/lisp/transient

Features:
(shadow sort mail-extr emacsbug sendmail git-rebase ediff ediff-merg
ediff-mult ediff-wind ediff-diff ediff-help ediff-init ediff-util
let-alist magit-bookmark bookmark magit-submodule magit-obsolete
magit-blame magit-stash magit-reflog magit-bisect magit-push magit-pull
magit-fetch magit-clone magit-remote magit-commit magit-sequence
magit-notes magit-worktree magit-tag magit-merge magit-branch
magit-reset magit-files magit-refs magit-status magit magit-repos
magit-apply magit-wip magit-log magit-diff smerge-mode diff git-commit
magit-core magit-autorevert magit-margin magit-transient magit-process
magit-mode magit-git magit-section magit-utils which-func imenu ido crm
with-editor transient log-edit pcvs-util add-log benchmark dash edmacro
checkdoc term ehelp eshell esh-cmd esh-ext esh-opt esh-proc esh-io
esh-arg esh-module esh-groups esh-util pcase compile autoload lisp-mnt
tar-mode arc-mode archive-mode mm-archive cus-edit cus-start cus-load
shortdoc pp cl-print help-fns radix-tree vc-git diff-mode vc-dispatcher
org-indent org-element avl-tree generator ol-eww eww xdg url-queue
mm-url ol-rmail ol-mhe ol-irc ol-info ol-gnus nnselect gnus-search
eieio-opt speedbar ezimage dframe gnus-art mm-uu mml2015 mm-view
mml-smime smime dig gnus-sum shr pixel-fill kinsoku svg dom gnus-group
gnus-undo gnus-start gnus-dbus gnus-cloud nnimap nnmail mail-source utf7
netrc nnoo parse-time gnus-spec gnus-int gnus-range message yank-media
rfc822 mml mml-sec epa derived epg rfc6068 epg-config mm-decode
mm-bodies mm-encode mailabbrev gmm-utils mailheader gnus-win gnus
nnheader gnus-util rmail rmail-loaddefs text-property-search wid-edit
ol-docview doc-view jka-compr image-mode exif ol-bibtex ol-bbdb ol-w3m
ol-doi org-link-doi org ob ob-tangle ob-ref ob-lob ob-table ob-exp
org-macro org-footnote org-src ob-comint org-pcomplete org-list
org-faces org-entities noutline outline easy-mmode org-version
ob-emacs-lisp ob-core ob-eval org-table oc-basic bibtex iso8601 ol
org-keys oc org-compat advice org-macs org-loaddefs find-func cal-menu
calendar cal-loaddefs time-date shell pcomplete comint ansi-color ring
dired-aux dired-x dired dired-loaddefs thingatpt mail-utils comp
comp-cstr warnings rx cl-extra help-mode exwm exwm-input xcb-keysyms
xcb-xkb exwm-manage exwm-floating xcb-cursor xcb-render exwm-layout
exwm-workspace exwm-core xcb-ewmh xcb-icccm xcb xcb-xproto xcb-types
xcb-debug kmacro server time format-spec battery dbus xml gnutls
network-stream url-http mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr url-gw nsm rmc puny url-cache url-auth disp-table
whitespace autorevert filenotify elec-pair modus-vivendi-theme
modus-themes info display-line-numbers gcmh finder-inf package
browse-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json map url-vars seq gv subr-x byte-opt bytecomp
byte-compile cconv cl-loaddefs cl-lib iso-transl tooltip eldoc paren
electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice
button loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting font-render-setting cairo x-toolkit x multi-tty
make-network-process native-compile emacs)

Memory information:
((conses 16 735182 520539)
 (symbols 48 43675 1482)
 (strings 32 139031 55401)
 (string-bytes 1 4616283)
 (vectors 16 76452)
 (vector-slots 8 1331544 461443)
 (floats 8 548 2348)
 (intervals 56 4297 2144)
 (buffers 992 28))

--000000000000e0219105d25d0766
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">In an empty HOME directory, run the following shell comman=
ds:<br><br>mkdir -p ~/foo/bar<br>ln -srf ~/foo/bar ~/.emacs.d<br>emacs -Q<b=
r><br>In emacs, type the following elisp in the scratch buffer:<br><br>(pro=
gn<br>=C2=A0 (setq find-file-visit-truename t)<br>=C2=A0 (package-install &=
#39;vertico))<br><br>Then type &#39;C-x C-e&#39; to evaluate.=C2=A0 Once Em=
acs is done evaluating, type<br>&#39;C-x C-c&#39; to quit from emacs.<br><b=
r>In the shell, run &#39;emacs -Q&#39; again.=C2=A0 Then type the following=
 elisp in<br>the scratch buffer:<br><br>(package-initialize)<br><br>And typ=
e &#39;C-x C-e&#39; to evaluate.=C2=A0 Then type &#39;M-x&#39; and &#39;ver=
tico-mode&#39; in<br>the prompt.=C2=A0 Emacs will complain that it could no=
t open the load file<br>for vertico.<br><br>Currently I use this snippet to=
 patch the issue up:<br><br>(defun faerryn-patch-package-find-file-visit-tr=
uename (oldfun &amp;rest r)<br>=C2=A0 (let ((find-file-visit-truename nil))=
<br>=C2=A0 =C2=A0 (apply oldfun r)))<br>(advice-add #&#39;package-install :=
around<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 #&#39;faerryn-patch-pac=
kage-find-file-visit-truename)<br><br><br>In GNU Emacs 29.0.50 (build 9, x8=
6_64-pc-linux-gnu, X toolkit, cairo version 1.17.4, Xaw3d scroll bars)<br>=
=C2=A0of 2021-12-04 built on FaerrynLaptop<br>Repository revision: f14a4c37=
7dfa6602e9e159c806656137854a667b<br>Repository branch: master<br>Windowing =
system distributor &#39;The X.Org Foundation&#39;, version 11.0.12101001<br=
>System Description: Arch Linux<br><br>Configured using:<br>=C2=A0&#39;conf=
igure --prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/usr/lib<br>=C2=A0=
--localstatedir=3D/var --mandir=3D/usr/share/man --with-gameuser=3D:games<b=
r>=C2=A0--with-sound=3Dalsa --with-modules --without-gconf --without-gsetti=
ngs<br>=C2=A0--with-native-compilation --with-x-toolkit=3Dlucid --with-xft<=
br>=C2=A0--with-xaw3d --without-compress-install<br>=C2=A0&#39;--program-tr=
ansform-name=3Ds/\([ec]tags\)/\1.emacs/&#39;<br>=C2=A0&#39;CFLAGS=3D-march=
=3Dnative -O2 -pipe -fno-plt -fexceptions<br>=C2=A0-Wp,-D_FORTIFY_SOURCE=3D=
2 -Wformat -Werror=3Dformat-security<br>=C2=A0-fstack-clash-protection -fcf=
-protection&#39;<br>=C2=A0LDFLAGS=3D-Wl,-O1,--sort-common,--as-needed,-z,re=
lro,-z,now&#39;<br><br>Configured features:<br>ACL CAIRO DBUS FREETYPE GIF =
GLIB GMP GNUTLS GPM HARFBUZZ JPEG JSON LCMS2<br>LIBOTF LIBSYSTEMD LIBXML2 M=
17N_FLT MODULES NATIVE_COMP NOTIFY INOTIFY<br>PDUMPER PNG RSVG SECCOMP SOUN=
D THREADS TIFF TOOLKIT_SCROLL_BARS WEBP X11<br>XAW3D XDBE XIM XPM LUCID ZLI=
B<br><br>Important settings:<br>=C2=A0 value of $LANG: en_US.UTF-8<br>=C2=
=A0 locale-coding-system: utf-8-unix<br><br>Major mode: EXWM<br><br>Minor m=
odes in effect:<br>=C2=A0 global-git-commit-mode: t<br>=C2=A0 shell-dirtrac=
k-mode: t<br>=C2=A0 display-time-mode: t<br>=C2=A0 display-battery-mode: t<=
br>=C2=A0 global-auto-revert-mode: t<br>=C2=A0 electric-pair-mode: t<br>=C2=
=A0 global-display-line-numbers-mode: t<br>=C2=A0 display-line-numbers-mode=
: t<br>=C2=A0 gcmh-mode: t<br>=C2=A0 global-eldoc-mode: t<br>=C2=A0 show-pa=
ren-mode: t<br>=C2=A0 electric-indent-mode: t<br>=C2=A0 mouse-wheel-mode: t=
<br>=C2=A0 global-prettify-symbols-mode: t<br>=C2=A0 tab-bar-mode: t<br>=C2=
=A0 file-name-shadow-mode: t<br>=C2=A0 global-font-lock-mode: t<br>=C2=A0 f=
ont-lock-mode: t<br>=C2=A0 blink-cursor-mode: t<br>=C2=A0 auto-composition-=
mode: t<br>=C2=A0 auto-encryption-mode: t<br>=C2=A0 auto-compression-mode: =
t<br>=C2=A0 buffer-read-only: t<br>=C2=A0 line-number-mode: t<br>=C2=A0 tra=
nsient-mark-mode: t<br><br>Load-path shadows:<br>/home/faerryn/.emacs.d/elp=
a/transient-0.3.7/transient hides /usr/share/emacs/29.0.50/lisp/transient<b=
r><br>Features:<br>(shadow sort mail-extr emacsbug sendmail git-rebase edif=
f ediff-merg<br>ediff-mult ediff-wind ediff-diff ediff-help ediff-init edif=
f-util<br>let-alist magit-bookmark bookmark magit-submodule magit-obsolete<=
br>magit-blame magit-stash magit-reflog magit-bisect magit-push magit-pull<=
br>magit-fetch magit-clone magit-remote magit-commit magit-sequence<br>magi=
t-notes magit-worktree magit-tag magit-merge magit-branch<br>magit-reset ma=
git-files magit-refs magit-status magit magit-repos<br>magit-apply magit-wi=
p magit-log magit-diff smerge-mode diff git-commit<br>magit-core magit-auto=
revert magit-margin magit-transient magit-process<br>magit-mode magit-git m=
agit-section magit-utils which-func imenu ido crm<br>with-editor transient =
log-edit pcvs-util add-log benchmark dash edmacro<br>checkdoc term ehelp es=
hell esh-cmd esh-ext esh-opt esh-proc esh-io<br>esh-arg esh-module esh-grou=
ps esh-util pcase compile autoload lisp-mnt<br>tar-mode arc-mode archive-mo=
de mm-archive cus-edit cus-start cus-load<br>shortdoc pp cl-print help-fns =
radix-tree vc-git diff-mode vc-dispatcher<br>org-indent org-element avl-tre=
e generator ol-eww eww xdg url-queue<br>mm-url ol-rmail ol-mhe ol-irc ol-in=
fo ol-gnus nnselect gnus-search<br>eieio-opt speedbar ezimage dframe gnus-a=
rt mm-uu mml2015 mm-view<br>mml-smime smime dig gnus-sum shr pixel-fill kin=
soku svg dom gnus-group<br>gnus-undo gnus-start gnus-dbus gnus-cloud nnimap=
 nnmail mail-source utf7<br>netrc nnoo parse-time gnus-spec gnus-int gnus-r=
ange message yank-media<br>rfc822 mml mml-sec epa derived epg rfc6068 epg-c=
onfig mm-decode<br>mm-bodies mm-encode mailabbrev gmm-utils mailheader gnus=
-win gnus<br>nnheader gnus-util rmail rmail-loaddefs text-property-search w=
id-edit<br>ol-docview doc-view jka-compr image-mode exif ol-bibtex ol-bbdb =
ol-w3m<br>ol-doi org-link-doi org ob ob-tangle ob-ref ob-lob ob-table ob-ex=
p<br>org-macro org-footnote org-src ob-comint org-pcomplete org-list<br>org=
-faces org-entities noutline outline easy-mmode org-version<br>ob-emacs-lis=
p ob-core ob-eval org-table oc-basic bibtex iso8601 ol<br>org-keys oc org-c=
ompat advice org-macs org-loaddefs find-func cal-menu<br>calendar cal-loadd=
efs time-date shell pcomplete comint ansi-color ring<br>dired-aux dired-x d=
ired dired-loaddefs thingatpt mail-utils comp<br>comp-cstr warnings rx cl-e=
xtra help-mode exwm exwm-input xcb-keysyms<br>xcb-xkb exwm-manage exwm-floa=
ting xcb-cursor xcb-render exwm-layout<br>exwm-workspace exwm-core xcb-ewmh=
 xcb-icccm xcb xcb-xproto xcb-types<br>xcb-debug kmacro server time format-=
spec battery dbus xml gnutls<br>network-stream url-http mail-parse rfc2231 =
rfc2047 rfc2045 mm-util<br>ietf-drums mail-prsvr url-gw nsm rmc puny url-ca=
che url-auth disp-table<br>whitespace autorevert filenotify elec-pair modus=
-vivendi-theme<br>modus-themes info display-line-numbers gcmh finder-inf pa=
ckage<br>browse-url url url-proxy url-privacy url-expand url-methods url-hi=
story<br>url-cookie url-domsuf url-util mailcap url-handlers url-parse<br>a=
uth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs<br>password-cache=
 json map url-vars seq gv subr-x byte-opt bytecomp<br>byte-compile cconv cl=
-loaddefs cl-lib iso-transl tooltip eldoc paren<br>electric uniquify ediff-=
hook vc-hooks lisp-float-type elisp-mode mwheel<br>term/x-win x-win term/co=
mmon-win x-dnd tool-bar dnd fontset image<br>regexp-opt fringe tabulated-li=
st replace newcomment text-mode lisp-mode<br>prog-mode register page tab-ba=
r menu-bar rfn-eshadow isearch easymenu<br>timer select scroll-bar mouse ji=
t-lock font-lock syntax font-core<br>term/tty-colors frame minibuffer cl-ge=
neric cham georgian utf-8-lang<br>misc-lang vietnamese tibetan thai tai-vie=
t lao korean japanese eucjp-ms<br>cp51932 hebrew greek romanian slovak czec=
h european ethiopic indian<br>cyrillic chinese composite emoji-zwj charscri=
pt charprop case-table<br>epa-hook jka-cmpr-hook help simple abbrev obarray=
 cl-preloaded nadvice<br>button loaddefs faces cus-face macroexp files wind=
ow text-properties<br>overlay sha1 md5 base64 format env code-pages mule cu=
stom widget keymap<br>hashtable-print-readable backquote threads dbusbind i=
notify lcms2<br>dynamic-setting font-render-setting cairo x-toolkit x multi=
-tty<br>make-network-process native-compile emacs)<br><br>Memory informatio=
n:<br>((conses 16 735182 520539)<br>=C2=A0(symbols 48 43675 1482)<br>=C2=A0=
(strings 32 139031 55401)<br>=C2=A0(string-bytes 1 4616283)<br>=C2=A0(vecto=
rs 16 76452)<br>=C2=A0(vector-slots 8 1331544 461443)<br>=C2=A0(floats 8 54=
8 2348)<br>=C2=A0(intervals 56 4297 2144)<br>=C2=A0(buffers 992 28))<br></d=
iv>

--000000000000e0219105d25d0766--




Acknowledgement sent to Faerryn <alexandre.liao@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#52292; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 11 Dec 2021 03:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.